org.apache.lucene.benchmark.byTask.tasks

## Class SearchWithSortTask

- java.lang.Object
- - org.apache.lucene.benchmark.byTask.tasks.PerfTask
  - - org.apache.lucene.benchmark.byTask.tasks.ReadTask
    - - org.apache.lucene.benchmark.byTask.tasks.SearchWithSortTask

All Implemented Interfaces:
  Cloneable

    public class SearchWithSortTask
    extends ReadTask

Does sort search on specified field.

### Field Summary

### Fields inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask

`logStep, NEW_LINE, params, stopNow`

### Constructor Summary

Constructors
Constructor and Description
`SearchWithSortTask(PerfRunData runData)`

### Method Summary

Methods
`QueryMaker` `getQueryMaker()` Return query maker used for this task.
`Sort` `getSort()`
`void` `setParams(String sortField)` SortFields: field:type,field:type[,noscore][,nomaxscore] If noscore is present, then we turn off score tracking in `TopFieldCollector`.
`boolean` `supportsParams()` Sub classes that support parameters must override this method to return true.
`boolean` `withMaxScore()` Whether maxScores should be computed (only useful with field sort)
`boolean` `withRetrieve()` Return true if, with search & results traversing, docs should be retrieved.
`boolean` `withScore()` Whether scores should be computed (only useful with field sort)
`boolean` `withSearch()` Return true if search should be performed.
`boolean` `withTraverse()` Return true if, with search, results should be traversed.
`boolean` `withWarm()` Return true if warming should be performed.

### Methods inherited from class org.apache.lucene.benchmark.byTask.tasks.ReadTask

`createCollector, doLogic, getBenchmarkHighlighter, getFieldsToHighlight, numHits, numToHighlight, retrieveDoc, setup, traversalSize, withCollector`

### Methods inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask

`clone, close, getAlgLineNum, getBackgroundDeltaPriority, getDepth, getLogMessage, getName, getParams, getRunData, getRunInBackground, isDisableCounting, runAndMaybeStats, setAlgLineNum, setDepth, setDisableCounting, setName, setRunInBackground, shouldNeverLogAtStart, shouldNotRecordStats, stopNow, tearDown, toString`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SearchWithSortTask

    public SearchWithSortTask(PerfRunData runData)

### Method Detail

#### setParams

    public void setParams(String sortField)

SortFields: field:type,field:type[,noscore][,nomaxscore] If noscore is present, then we turn off score tracking in `TopFieldCollector`. If nomaxscore is present, then we turn off maxScore tracking in `TopFieldCollector`. name:string,page:int,subject:string

Overrides:
  `setParams` in class `PerfTask`

#### supportsParams

    public boolean supportsParams()

Description copied from class: `PerfTask`
Sub classes that support parameters must override this method to return true.

Overrides:
  `supportsParams` in class `PerfTask`
Returns:
  true iff this task supports command line params.

#### getQueryMaker

    public QueryMaker getQueryMaker()

Description copied from class: `ReadTask`
Return query maker used for this task.

Specified by:
  `getQueryMaker` in class `ReadTask`

#### withRetrieve

    public boolean withRetrieve()

Description copied from class: `ReadTask`
Return true if, with search & results traversing, docs should be retrieved.

Specified by:
  `withRetrieve` in class `ReadTask`

#### withSearch

    public boolean withSearch()

Description copied from class: `ReadTask`
Return true if search should be performed.

Specified by:
  `withSearch` in class `ReadTask`

#### withTraverse

    public boolean withTraverse()

Description copied from class: `ReadTask`
Return true if, with search, results should be traversed.

Specified by:
  `withTraverse` in class `ReadTask`

#### withWarm

    public boolean withWarm()

Description copied from class: `ReadTask`
Return true if warming should be performed.

Specified by:
  `withWarm` in class `ReadTask`

#### withScore

    public boolean withScore()

Description copied from class: `ReadTask`
Whether scores should be computed (only useful with field sort)

Overrides:
  `withScore` in class `ReadTask`

#### withMaxScore

    public boolean withMaxScore()

Description copied from class: `ReadTask`
Whether maxScores should be computed (only useful with field sort)

Overrides:
  `withMaxScore` in class `ReadTask`

#### getSort

    public Sort getSort()

Overrides:
  `getSort` in class `ReadTask`